%define anolis_release 1
Name:    libksba
Version: 1.6.4
Release: %{anolis_release}%{?dist}
Summary: CMS and X.509 library

# The library is licensed under LGPLv3+ or GPLv2+,
# the rest of the package under GPLv3+
License: (LGPLv3+ or GPLv2+) and GPLv3+
URL:     https://www.gnupg.org/
Source0: https://www.gnupg.org/ftp/gcrypt/libksba/%{name}-%{version}.tar.bz2

BuildRequires: gcc
BuildRequires: gawk
BuildRequires: libgpg-error-devel >= 1.8
BuildRequires: make

%description
KSBA (pronounced Kasbah) is a library to make X.509 certificates as
well as the CMS easily accessible by other applications.  Both
specifications are building blocks of S/MIME and TLS.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development headers and libraries for %{name}
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
%{summary}.


%prep
%autosetup -p1

# Convert to utf-8
for file in THANKS; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%build
%configure \
  --disable-dependency-tracking \
  --disable-static

%make_build


%install
%make_install

%generate_compatibility_deps

%check
make check

%files
%license COPYING COPYING.GPLv2 COPYING.GPLv3 COPYING.LGPLv3
%dir %{abidir}
%{_libdir}/libksba.so.8*
%{abidir}/libksba.dump

%files doc
%doc AUTHORS ChangeLog NEWS README* THANKS TODO

%files devel
%{_bindir}/ksba-config
%{_libdir}/libksba.so
%{_includedir}/ksba.h
%{_datadir}/aclocal/ksba.m4
%{_libdir}/pkgconfig/ksba.pc
%{_infodir}/ksba.info*

%changelog
* Wed Jul 12 2023 Funda Wang <fundawang@yeah.net> - 1.6.4-1
- New version 1.6.4

* Mon Mar 06 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.6.3-2
- optimize spec

* Tue Dec 20 2022 Funda Wang <fundawang@yeah.net> - 1.6.3-1
- New version 1.6.3

* Mon Oct 10 2022 Funda Wang <fundawang@yeah.net> - 1.6.2-1
- New version 1.6.2

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6.0-2
- add doc package

* Tue Mar 15 2022 Caspar Zhang <caspar@linux.alibaba.com> - 1.6.0-1
- Initial for Anolis OS 23
